<p-dialog
  header="{{ tagToEdit ? 'Update Tag' : 'Create New Tag' }}"
  [(visible)]="displayDialog"
  [modal]="true"
  [style]="{ width: '50vw' }"
>
  <form #tagForm="ngForm" (ngSubmit)="createOrUpdateTag()">
    <div class="field">
      <label class="pr-2" for="new_tag_de">Name (deutsch)</label>
      <input
        id="new_tag_de"
        name="new_tag_de"
        type="text"
        pInputText
        [(ngModel)]="localizedNames.de"
        (ngModelChange)="updateLocalizedNames('DE', $event)"
        required
      />
    </div>
    <div class="field">
      <label class="pr-2" for="new_tag_en">Name (englisch)</label>
      <input
        id="new_tag_en"
        name="new_tag_en"
        type="text"
        pInputText
        [(ngModel)]="localizedNames.en"
        (ngModelChange)="updateLocalizedNames('EN', $event)"
        required
      />
    </div>
    <div class="p-dialog-footer">
      <p-button
        label="Cancel"
        icon="pi pi-times"
        (onClick)="hideDialog()"
        class="p-button-secondary"
      ></p-button>
      <p-button
        label="Save"
        icon="pi pi-check"
        type="submit"
        [disabled]="!tagForm.valid"
      ></p-button>
    </div>
  </form>
</p-dialog>
